libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions
paper.h File Reference

Paper size functions. More...

`#include <gutenprint/vars.h>`

## Data Structures
struct | stp_papersize_t
| The papersize data type. More...

## Enumerations
enum | stp_papersize_unit_t { PAPERSIZE_ENGLISH_STANDARD, PAPERSIZE_METRIC_STANDARD, PAPERSIZE_ENGLISH_EXTENDED, PAPERSIZE_METRIC_EXTENDED }
| Units of measurement. More...
enum | stp_papersize_type_t { PAPERSIZE_TYPE_STANDARD = 0, PAPERSIZE_TYPE_ENVELOPE, PAPERSIZE_TYPE_SPECIAL }

## Functions
int | stp_known_papersizes (void)
| Get the number of available papersizes. More...
const stp_papersize_t * | stp_get_papersize_by_name (const char *name)
| Get a papersize by name. More...
const stp_papersize_t * | stp_get_papersize_by_size (int length, int width)
| Get a papersize by size. More...
const stp_papersize_t * | stp_get_papersize_by_size_exact (int length, int width)
| Get a papersize by size if an exact match is found. More...
const stp_papersize_t * | stp_get_papersize_by_index (int idx)
| Get a papersize by its index number. More...
void | stp_default_media_size (const stp_vars_t *v, int *width, int *height)
| Get the default paper dimensions for the current configuration. More...

## Detailed Description

Paper size functions.